
/**
 * Created by i856279 (Isabell) on 8/11/16.
 */

var XMLHttpRequest = require("xmlhttprequest").XMLHttpRequest;

var BaseRest = function () {

    this.getResponse = function(method,url,header, request) {

        var xhr = new XMLHttpRequest();
        request = request || null;

        xhr.setDisableHeaderCheck(true);
        xhr.open(method, url,false);

        header.forEach(function (value, key) {
            xhr.setRequestHeader(key, value);
        });

        xhr.send(request);

        var result;

        if(xhr.responseText == ''){
            result = '';
        }else{
            result = JSON.parse(xhr.responseText);
        }

        var response = {

            responseText: result,
            status: xhr.status
        };

        return response;

    };

};

module.exports = BaseRest;